Name:		qutecom
Version:	2.2
Release:	%mkrel 6
Summary:	Internet phone software
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://www.qutecom.com
Source:		http://www.qutecom.com/downloads/qutecom-%version.tar.xz
Patch0:		qutecom-2.2-fix-link.patch
Patch1:		qutecom-2.2-fix-str-fmt.patch
Patch2:		qutecom-2.2-fix-install-perm.patch
Patch3:		qutecom-2.2-ffmpeg-0.6.patch
Patch4:		qutecom-2.2-googlebreakpad-fix-build.patch
# (Debian) Add a patch to fix the build after upstream moving videodev.h
# libv4l
Patch5:		qutecom-2.2-new-videodev.patch
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	speex-devel
BuildRequires:	boost-devel
BuildRequires:	portaudio-devel >= 19
BuildRequires:	openssl-devel
BuildRequires:	glib2-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	gnutls-devel
BuildRequires:	qt4-linguist
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	curl-devel
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:  libuuid-devel
BuildRequires:	w3c-libwww-devel
BuildRequires:	libv4l-devel
BuildRequires:	libxscrnsaver-devel
Obsoletes:	openwengo
Obsoletes:	wengophone
Provides:	wengophone
Obsoletes:	%mklibname %{name} 0

%description
QuteCom is a SIP softphone which allows you to make free PC to PC
video and voice calls, and to integrate all your IM contacts in one
place.

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_libdir}/%name
%{_datadir}/applications/%{name}.desktop
%attr(0755,root,root) %{_libdir}/pm-utils/sleep.d/70QuteCom
%{_iconsdir}/hicolor/*/apps/*.png
#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version
%patch0 -p0 -b .link
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1 -b .googlebreakpad
%patch5 -p1 -b .videodev

%build
%cmake \
        -DCMAKE_SKIP_RPATH=OFF \
        -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
        -DCMAKE_INSTALL_RPATH=%{_libdir}/qutecom
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %{buildroot}


%changelog
* Wed May 11 2011 ahmad <ahmad> 2.2-6.mga1
+ Revision: 97212
- Add a patch to fix the build after videodev.h has been moved upstream
  to libv4l and add BR libv4l-devel (Debian)
- Add BR libxscrnsaver-devel (for better idle state detection)
- Drop the buildroot declaration
- imported package qutecom


* Thu Mar 17 2011 Funda Wang <fwang@mandriva.org> 2.2-6mdv2011.0
+ Revision: 645786
- rebuild

* Thu Dec 30 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2-5mdv2011.0
+ Revision: 626494
- add patch to fix googlebreakpad build
- fix build by updating the ffmpeg patch, there're two changeset from upstream bug
  http://trac.qutecom.org/ticket/221, only one was used; seems both are needed
  otherwise the build fails
- compile with -DCMAKE_SKIP_RPATH=OFF so that libs from %%_libdir/qutecom are used
  should fix mdv#60902

* Tue Aug 24 2010 Funda Wang <fwang@mandriva.org> 2.2-4mdv2011.0
+ Revision: 572600
- rebuild

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 2.2-3mdv2011.0
+ Revision: 566418
- BR w3c-libwww-devel for libmd5
- fix linkage
- add git patch to build with ffmpeg 0.6

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Bad copy/paste, bad
    - Fix cmake command
    - Fix cmake command

* Tue Apr 13 2010 Funda Wang <fwang@mandriva.org> 2.2-2mdv2010.1
+ Revision: 533754
- rebuild

* Wed Feb 24 2010 Funda Wang <fwang@mandriva.org> 2.2-1mdv2010.1
+ Revision: 510495
- disable crashreport (cause undefined references :()
- New version 2.2

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild for new boost

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New mercurial snapshot

  + Emmanuel Andry <eandry@mandriva.org>
    - rebuild for new boost

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 2.2-0.RC3.2mdv2009.1
+ Revision: 316586
- rebuild for new boost

* Sat Dec 20 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.2-0.RC3.1mdv2009.1
+ Revision: 316514
- Update to qutecom RC3
  Updates patches to build on x86_64
- Fix install of libowmemorydump.so

  + Adam Williamson <awilliamson@mandriva.org>
    - obsolete and provide wengophone

* Mon Dec 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.2-0.RC2.20081207.1mdv2009.1
+ Revision: 311706
- Do not install libcoredumper.so
- Fix libpurple install
- Apply patch5
- Clean spec file
- Add 2 debian patches to fix install
- Add debian patch to fix build on x86_64
- More build fixes
- Fix build ( step 2 )
- Fix release
- Update to a new hg snapshot
- Rename patches
- Start to port to qutecom
- ByeBye wengophone, Hello QuteCom

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Wed Apr 02 2008 Antoine Ginies <aginies@mandriva.com> 2.1.99.2-6mdv2008.1
+ Revision: 191979
- bump release

* Sun Mar 02 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.1.99.2-5mdv2008.1
+ Revision: 177526
- Rebuild
- Rebuild against Boost

  + Austin Acton <austin@mandriva.org>
    - rebuild for boost

  + Emmanuel Blindauer <blindauer@mandriva.org>
    - Added buildrequire python

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 27 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.1.99.2-2mdv2008.0
+ Revision: 93320
- Fix patch

* Thu Sep 27 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.1.99.2-1mdv2008.0
+ Revision: 93228
- 2.2 Alpha 2
- [BUGFIX] Show wengophone icon on gnome menu (Bug #32758)

* Mon Sep 17 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.1.99.1-4mdv2008.0
+ Revision: 89361
- [BUGFIX] Add GenericName for menu entry (Bug #33404)

* Fri Sep 14 2007 Adam Williamson <awilliamson@mandriva.org> 2.1.99.1-3mdv2008.0
+ Revision: 85421
- update wengophone-2.1.99.1-fix-desktopfile.patch to use soundwrapper (#31753)
- simplify file list
- package AUTHORS correctly as a doc file
- remove useless copies of COPYING and AUTHORS
- clean buildroot before doing make install
- use standard macros for build and install
- drop separate lib package: the files it contained were only plugins and should be in main package
- better description and summary
- include URL for source
- use standard MDV spec file order
- use tabs not spaces

* Sun Sep 02 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.1.99.1-2mdv2008.0
+ Revision: 78096
- Fix desktop file

* Sun Aug 26 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.1.99.1-1mdv2008.0
+ Revision: 71472
- Wengophone 2.2 Alpha1

* Mon Aug 20 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-2mdv2008.0
+ Revision: 67907
- rebuilt against new portaudio libs

* Thu Jun 28 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.1.1-1mdv2008.0
+ Revision: 45468
- New version 2.1.1

* Thu May 17 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.1-3mdv2008.0
+ Revision: 27610
- Close ticket #30865

* Wed May 16 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.1-2mdv2008.0
+ Revision: 27148
- Add tarball
- New release 2.1
- New svn snapshot

  + Oden Eriksson <oeriksson@mandriva.com>
    - revert last change...
    - fix deps (libcoredumper-devel)

* Mon Apr 23 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.1-1.rc2.3mdv2008.0
+ Revision: 17263
- Remove debug
- New svn snapshot (10849)

* Wed Apr 18 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.1-1.rc2.2mdv2008.0
+ Revision: 14869
- New svn snapshot

